<?php

/**
 * Project:     Ant: sources.list generator
 * File:        index.php
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


if (file_exists(dirname(__FILE__).'/lib/config.inc.php')) {

	require_once dirname(__FILE__)."/lib/init.php";

	$req =& $db->query("SELECT * FROM settings WHERE opt LIKE 'interface'");

	if (PEAR::isError($req)) { 
		echo "SQL ERROR!:<br />SQL: $req<br />ErrorMessage: " . $req->getMessage() . '<br />Details: ' . $req->getUserInfo() . "<br />\n"; 
	}

	if ($req->numRows()>0) {
		$req->fetchInto($if, DB_FETCHMODE_ASSOC);
		$file = dirname(__FILE__)."/".stripslashes($if["optvalue"]).".php";
	}

} else {
	$file = dirname(__FILE__)."/oops.php?error=1";
}

include($file);

?>
